You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/net-p2p/linuxdcpp/Makefile 343214 2014-02-07 
11:44:08Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/91i386-default/2014-06-04_23h41m34s/logs/linuxdcpp-1.1.0_3.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/91i386-default/2014-06-04_23h41m34s
Log:

====>> Building net-p2p/linuxdcpp
build started at Thu Jun  5 11:49:44 UTC 2014
port directory: /usr/ports/net-p2p/linuxdcpp
building for: FreeBSD 91i386-default-job-20 9.1-RELEASE-p13 FreeBSD 
9.1-RELEASE-p13 i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/net-p2p/linuxdcpp/Makefile 343214 
2014-02-07 11:44:08Z bapt $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 901000

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=901000
UNAME_v=FreeBSD 9.1-RELEASE-p13
UNAME_r=9.1-RELEASE-p13
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/91i386-default/ref
PKG_EXT=txz
tpid=19189
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=linuxdcpp-1.1.0_3
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/91i386-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/91i386-default/ref/poudriere/pool
MASTERNAME=91i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for linuxdcpp-1.1.0_3:
     NOTIFY=on: Desktop notification support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" PKG_CONFIG=pkgconf SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" OPENSSLLIB=/usr/lib OPENSSLINC=/usr/include  
OPENSSLBASE=/usr OPENSSLDIR=/etc/ssl SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" 
-Wl,-rpath,/usr/lib:/usr/local/lib"  CXX="c++" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" 
 BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=9.1
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
DOCSDIR="share/doc/linuxdcpp"
EXAMPLESDIR="share/examples/linuxdcpp"
DATADIR="share/linuxdcpp"
WWWDIR="www/linuxdcpp"
ETCDIR="etc/linuxdcpp"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/linuxdcpp
DOCSDIR=/usr/local/share/doc/linuxdcpp
EXAMPLESDIR=/usr/local/share/examples/linuxdcpp
WWWDIR=/usr/local/www/linuxdcpp
ETCDIR=/usr/local/etc/linuxdcpp
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
# clean-restricted via poudriere.conf NO_RESTRICTED
#NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for linuxdcpp-1.1.0_3
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   linuxdcpp-1.1.0_3 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of linuxdcpp-1.1.0_3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by linuxdcpp-1.1.0_3 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by linuxdcpp-1.1.0_3 for building
=> SHA256 Checksum OK for linuxdcpp-1.1.0.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by linuxdcpp-1.1.0_3 for building
===>  Extracting for linuxdcpp-1.1.0_3
=> SHA256 Checksum OK for linuxdcpp-1.1.0.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for linuxdcpp-1.1.0_3
===>  Applying FreeBSD patches for linuxdcpp-1.1.0_3
===========================================================================
=======================<phase: build-depends  >============================
===>   linuxdcpp-1.1.0_3 depends on file: /usr/local/include/boost/version.hpp 
- not found
===>    Verifying install for /usr/local/include/boost/version.hpp in 
/usr/ports/devel/boost-libs
===>   Installing existing package /packages/All/boost-libs-1.55.0_2.txz
Installing boost-libs-1.55.0_2...Installing icu-52.1... done
 done
You have built the Boost library with thread support.

Don't forget to add -pthread to your linker options when
linking your code.
===>   Returning to build of linuxdcpp-1.1.0_3
===>   linuxdcpp-1.1.0_3 depends on executable: pkgconf - not found
===>    Verifying install for pkgconf in /usr/ports/devel/pkgconf
===>   Installing existing package /packages/All/pkgconf-0.9.5.txz
Installing pkgconf-0.9.5... done
===>   Returning to build of linuxdcpp-1.1.0_3
===>   linuxdcpp-1.1.0_3 depends on file: /usr/local/bin/scons - not found
===>    Verifying install for /usr/local/bin/scons in /usr/ports/devel/scons
===>   Installing existing package /packages/All/scons-2.3.0.txz
Installing scons-2.3.0...Installing py27-setuptools27-2.0.1...Installing 
python27-2.7.6_4...Installing gettext-0.18.3.1_1...Installing 
libiconv-1.14_3... done
 done
 done
 done
Installing python2-2_2... done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of linuxdcpp-1.1.0_3
===>   linuxdcpp-1.1.0_3 depends on file: /usr/local/bin/intltool-extract - not 
found
===>    Verifying install for /usr/local/bin/intltool-extract in 
/usr/ports/textproc/intltool
===>   Installing existing package /packages/All/intltool-0.50.2.txz
Installing intltool-0.50.2...Installing p5-XML-Parser-2.41_1...Installing 
expat-2.1.0... done
Installing perl5-5.16.3_10... done
 done
 done
===>   Returning to build of linuxdcpp-1.1.0_3
===========================================================================
=======================<phase: lib-depends    >============================
===>   linuxdcpp-1.1.0_3 depends on shared library: libnotify.so
 - not found
===>    Verifying for libnotify.so in /usr/ports/devel/libnotify
===>   Installing existing package /packages/All/libnotify-0.7.5.txz
Installing libnotify-0.7.5...Installing gdk-pixbuf2-2.28.2...Installing 
glib-2.36.3_3...Installing libffi-3.0.13_1... done
Installing pcre-8.34_1... done
No schema files found: doing nothing.
 done
Installing gnomehier-3.0... done
Installing jasper-1.900.1_14...Installing jpeg-8_5... done
 done
Installing libX11-1.6.2_2,1...Installing kbproto-1.0.6... done
Installing libXau-1.0.8_2...Installing xproto-7.0.25... done
 done
Installing libXdmcp-1.1.1_2... done
Installing libxcb-1.10_2...Installing libpthread-stubs-0.3_4... done
Installing libxml2-2.9.1_1... done
 done
 done
Installing libXi-1.7.2_2,1...Installing inputproto-2.3... done
Installing libXext-1.3.2_2,1...Installing xextproto-7.3.0... done
 done
Installing libXfixes-5.0.1_2...Installing fixesproto-5.0... done
 done
 done
Installing libXt-1.1.4_2,1...Installing libSM-1.2.2_2,1...Installing 
libICE-1.0.8_2,1... done
 done
 done
Installing png-1.5.18... done
Installing tiff-4.0.3_2...Installing freeglut-2.8.1_2...Installing 
libGLU-9.0.0...Installing libGL-7.6.1_4...Installing dri2proto-2.8... done
Installing libXdamage-1.1.4_2...Installing damageproto-1.2.1... done
 done
Installing libXxf86vm-1.1.3_2...Installing xf86vidmodeproto-2.3.1... done
 done
Installing libdrm-2.4.17_1...Installing libpciaccess-0.13.2_2...Installing 
pciids-20140526... done
 done
 done
 done
 done
Installing libXrandr-1.4.2_2...Installing libXrender-0.9.8_2...Installing 
renderproto-0.11.1... done
 done
Installing randrproto-1.4.0... done
 done
 done
Installing jbigkit-1.6... done
Installing libXmu-1.1.2_2,1... done
 done
 done
 done
Since FreeBSD has new USB stack, freeglut normally doesn't build on FreeBSD 8
(yet). To workaround this a small patch adds one include file and comments out
content of one function (only leaves return NULL).

This might cause side effects.  Joysticks do not work, and there might be ports
that do not compile or applications that crash because of this.

Do not hesitate to contact x...@freebsd.org if there are any issues and side
effects because of this.
===>   Returning to build of linuxdcpp-1.1.0_3
===>   linuxdcpp-1.1.0_3 depends on shared library: libiconv.so.3 - found 
(/usr/local/lib/libiconv.so.3)
===>   linuxdcpp-1.1.0_3 depends on shared library: libatk-1.0.so
 - not found
===>    Verifying for libatk-1.0.so in /usr/ports/accessibility/atk
===>   Installing existing package /packages/All/atk-2.8.0.txz
Installing atk-2.8.0... done
===>   Returning to build of linuxdcpp-1.1.0_3
===>   linuxdcpp-1.1.0_3 depends on shared library: libglib-2.0.so - found 
(/usr/local/lib/libglib-2.0.so.0)
===>   linuxdcpp-1.1.0_3 depends on shared library: libpcre.so - found 
(/usr/local/lib/libpcre.so.3)
===>   linuxdcpp-1.1.0_3 depends on shared library: libgtk-x11-2.0.so
 - not found
===>    Verifying for libgtk-x11-2.0.so in /usr/ports/x11-toolkits/gtk20
===>   Installing existing package /packages/All/gtk2-2.24.22_3.txz
Installing gtk2-2.24.22_3...Installing cups-client-1.7.2...===> Creating users 
and/or groups.
Creating group 'cups' with gid '193'.
Creating user 'cups' with uid '193'.
 done
Installing gtk-update-icon-cache-2.24.22...Installing 
hicolor-icon-theme-0.12... done
Installing libXcomposite-0.4.4_2,1...Installing compositeproto-0.4.2... done
 done
Installing libXcursor-1.1.14_2... done
Installing libXinerama-1.1.3_2,1...Installing xineramaproto-1.2.1... done
 done
Installing pango-1.34.1_4...Installing cairo-1.10.2_10,2...Installing 
fontconfig-2.11.0_3,1...Installing freetype2-2.5.3_2... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
Installing pixman-0.32.4_2... done
Installing xcb-util-renderutil-0.3.8_2...Installing xcb-util-0.3.9_3,1... done
 done
 done
Installing encodings-1.0.4_1,1...Installing font-util-1.3.0_1... done
 done
Installing harfbuzz-0.9.28...Installing graphite2-1.2.4... done
 done
Installing libXft-2.3.1_2... done
Installing xorg-fonts-truetype-7.7_1...Installing dejavu-2.34_3... done
Installing font-bh-ttf-1.0.3_1...Installing mkfontdir-1.0.7...Installing 
mkfontscale-1.1.1_1...Installing libfontenc-1.1.2_2... done
 done
 done
 done
Installing font-misc-ethiopic-1.0.3_1... done
Installing font-misc-meltho-1.0.3_1... done
 done
 done
Installing shared-mime-info-1.1_1... done
 done
Installing python-2.7_1,2... done
 done
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/lib/X11/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
===>   Returning to build of linuxdcpp-1.1.0_3
===>   linuxdcpp-1.1.0_3 depends on shared library: libglade-2.0.so
 - not found
===>    Verifying for libglade-2.0.so in /usr/ports/devel/libglade2
===>   Installing existing package /packages/All/libglade2-2.6.4_7.txz
Installing libglade2-2.6.4_7...Installing xmlcatmgr-2.2... + Creating 
/usr/local/share/sgml/catalog
 + Registering CATALOG catalog.ports (SGML)
 + Creating /usr/local/share/sgml/catalog.ports
 + Creating /usr/local/share/xml/catalog
 + Registering nextCatalog catalog.ports (XML)
 + Creating /usr/local/share/xml/catalog.ports
 done
 done
The following catalogs are installed:

 1) /usr/local/share/sgml/catalog

   The top level catalog for SGML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 2) /usr/local/share/sgml/catalog.ports

   This catalog is for handling SGML stuff installed under
   /usr/local/share/sgml.  It is changed by ports/packages.

 3) /usr/local/share/xml/catalog

   The top level catalog for XML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 4) /usr/local/share/xml/catalog.ports

   This catalog is for handling XML stuff installed under
   /usr/local/share/xml.  It is changed by ports/packages.
===>   Returning to build of linuxdcpp-1.1.0_3
===>   linuxdcpp-1.1.0_3 depends on shared library: libxml2.so - found 
(/usr/local/lib/libxml2.so.2.9.1)
===>   linuxdcpp-1.1.0_3 depends on shared library: libpango-1.0.so - found 
(/usr/local/lib/libpango-1.0.so.0.3400.1)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for linuxdcpp-1.1.0_3
===========================================================================
=======================<phase: build          >============================
===>  Building for linuxdcpp-1.1.0_3
scons: Reading SConscript files ...
bzrlib not installed
Mkdir("build/sconf")
Checking for c++ >= 4.1...(cached) yes
Checking for pkg-config... yes
Checking for gtk+-2.0 >= 2.12... yes
Checking for gthread-2.0 >= 2.4... yes
Checking for libglade-2.0 >= 2.4... yes
Checking for C++ header file boost/version.hpp... no
        boost not found.
        Note: You might have the lib but not the headers
*** [do-build] Error code 1

Stop in /usr/ports/net-p2p/linuxdcpp.
===>  Cleaning for linuxdcpp-1.1.0_3
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to